#
# spec file for package jeos-firstboot
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jeos-firstboot
Version:        0.0+git20180425.76e5ff7
Release:        lp150.1.1
Summary:        Simple text based JeOS first boot wizard
License:        MIT
Group:          Development/Tools/Other
Url:            https://github.com/openSUSE/jeos-firstboot
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  distribution-release
BuildRequires:  systemd
BuildRequires:  udev
#only needed as directory owners
Requires:       distribution-release
Requires:       systemd
Requires:       udev
%if 0%{?is_opensuse}
# Needed by jeos-add-repos
Requires:       libxslt-tools
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Simple text based JeOS first boot wizard that can be used instead
of the line based one that is built into systemd.

%prep
%setup -q

%build

%install
cp -a files/* %{buildroot}
%if !0%{?is_opensuse}
	# Not needed on SLE
	rm %{buildroot}%{_sbindir}/jeos-add-repos
%endif

%preun
%service_del_preun jeos-firstboot.service

%postun
%service_del_postun jeos-firstboot.service

%pre
%service_add_pre jeos-firstboot.service

%post
%service_add_post jeos-firstboot.service

%files
%defattr(-,root,root)
%doc README examples/ifcfg-eth0
%license LICENSE
%{_unitdir}
%{_libexecdir}/jeos-firstboot
%{_libexecdir}/jeos-firstboot-functions
%if 0%{?is_opensuse}
%{_sbindir}/jeos-add-repos
%endif

%changelog
* Thu Apr 26 2018 opensuse-packaging@opensuse.org
- Update to version 0.0+git20180425.76e5ff7:
  * Turn off systemd status output while jeos-firstboot is running
* Fri Apr  6 2018 opensuse-packaging@opensuse.org
- Update to version 0.0+git20180406.e01f473:
  * Setup quota for btrfs, fix bsc#1087079
* Tue Mar 13 2018 opensuse-packaging@opensuse.org
- Update to version 0.0+git20180313.313b2ea:
  * Remove dracut initrd regeneration, bsc#1084161
  * Remove obsolete kiwi hook, bsc#1084160
* Thu Jan 11 2018 opensuse-packaging@opensuse.org
- Update to version 0.0+git20180111.c39e31f:
  * append to vconsole.conf instead of overwriting
* Fri Nov 24 2017 opensuse-packaging@opensuse.org
- Update to version 0.0+git20171124.eead2bd:
  * Change default values for ifcfg files bsc#1069782
* Mon Nov 13 2017 opensuse-packaging@opensuse.org
- Update to version 0.0+git20171113.02e973c:
  * change initial snapshot number to 2
  * Run dracut before initial snapshot
* Wed Oct 25 2017 opensuse-packaging@opensuse.org
- Update to version 0.0+git20171024.4c4ec65:
  * Add require for snapshots mount point
  * Initial network configuration fixes bsc#1061829
* Tue Jul  4 2017 lnussel@suse.de
- Update to version 0.0+git20170629.77ff28f:
  * Add udev-settle to wait all udev rules to be run
  * Provide default values for LINES and COLUMNS
  * Check if booted through EFI to fix yast bootloader
  * fixes after review
* Fri Mar 17 2017 fvogt@suse.com
- Update to version 0.0+git20170317.c20e917:
  * Use same dependencies as systemd-firstboot.service
* Fri Mar 10 2017 fvogt@suse.com
- Update to version 0.0+git20170310.18283bf:
  * Replace jeos-tool with jeos-add-repos script
  * Move jeos-add-repos to sbin
* Tue Mar  7 2017 fvogt@suse.com
- Update to version 0.0+git20170307.f650718:
  * Add [Install] section to jeos-firstboot.service
* Thu Jan 19 2017 lnussel@suse.de
- add license to file list
* Wed Nov 30 2016 lnussel@suse.de
- Update to version 0.0+git20161130.db63ad6:
  * Add LICENSE
  * Add README
  * Move ifcfg-eth0 to examples
  * Don't package service symlinks
* Fri Sep 16 2016 mkravec@suse.com
- Update to version 0.0+git20160916.ce20b59:
  * Fix jeos-tool typo
* Fri Sep 16 2016 mkravec@suse.com
- Update to version 0.0+git20160915.bd90972:
  * conflict with emergency.service
  * adjust for new kiwi
  * rename snapshot 1 to match normal SLE's
  * Create read-only snapshots
  * Set dialog heigh
  * Set kernel logging to warning
  * Apply changes from Matthias and disable timeline creation
  * Use jeos-tool to add repositories
  * Add comments
* Wed Sep 14 2016 mkravec@suse.com
- Update to version 0.0+git20160720.7177a42:
  * add tool to generate zypp repos from control.xml
  * fix copyright holder
  * conflict with emergency.service
  * adjust for new kiwi
  * rename snapshot 1 to match normal SLE's
  * Create read-only snapshots
  * Set dialog heigh
  * Set kernel logging to warning
  * Apply changes from Matthias and disable timeline creation
* Thu Sep  1 2016 mkravec@opensuse.org
- Update to version 0.0+git20160901.d14f112:
  * Removed jeos-tool
* Thu Sep  1 2016 mkravec@opensuse.org
- Update to version 0.0+git20160720.7177a42:
  * add tool to generate zypp repos from control.xml
  * fix copyright holder
  * conflict with emergency.service
  * adjust for new kiwi
  * rename snapshot 1 to match normal SLE's
  * Create read-only snapshots
  * Set dialog heigh
  * Set kernel logging to warning
  * Apply changes from Matthias and disable timeline creation
* Wed Dec  9 2015 rbrownsuse@opensuse.org
- Update to version 0.0+git20151209.591a818:
  + Scripted reset/update of openSUSE jeos-firstboot based on SLE jeos-firstboot
* Wed Nov 18 2015 lnussel@suse.de
- Update to version 0.0+git20151118.ee47f82:
  + remove 70-persistent-net.rules
  + Only show the SLES specific 'SUSEConnect' dialog if running SLES
  + fix dryrun
  + check for SUSEConnect instead of triggering on SLE
  + don't prompt EULA on openSUSE
  + prompt for locale first
  + prepare to localize
  + use localized eula file
  + mark snapshots for cleanup (bsc#949674)
* Wed Sep 30 2015 lnussel@suse.de
- Update to version 0.0+git20150930.4398233:
  + don't try to create snapshot 2 again
  + another attempt to fix boot dependencies (bnc#947815)
  + halt doesn't really work. add loop instead
* Mon Sep 28 2015 lnussel@suse.de
- Update to version 0.0+git20150925.7abb8f2:
  + tune ordering of the service a bit
  + call vconsole setup again
  + apply keyboard and locale before prompting for the password
  + move firstboot before colplug
  + update description
* Wed Sep 23 2015 lnussel@suse.de
- Update to version 0.0+git20150923.a897cec:
  + add kiwi hook to create snapshot
  + create snapshot after firstboot
  + start debug shell if no root password set
* Tue Sep 22 2015 lnussel@suse.de
- Update to version 0.0+git20150922.ebc74de:
  + fix dryrun
  + don't modify etc/motd
* Tue Sep 22 2015 lnussel@suse.de
- Update to version 0.0+git20150922.797a443:
  + eula and error handling
  + get rid of bashrc
  + switch of kernel message spamming
  + always use utf8 locales
  + set RC_LANG in sysconfig
  + confirm root password
  + snapper doesn't work in firstboot o_O
  + password workaround
  + try snapper
  + don't call snapper, useless anyways
* Tue Sep 22 2015 lnussel@suse.de
- initial package
